# Introduction

Elementary Ca2+ signaling events occur in many different cell types and exhibit a variety of spatiotemporal features, according to which they were classified. For such events an ever growing nomenclature has been developed (e.g. Ca2+ sparks, puffs, blinks, quarks, etc., for review see Niggli, E., and N. Shirokova. 2007. A guide to sparkology: The taxonomy of elementary cellular Ca2+ signaling events. Cell Calcium. 42:379–387.). More complex Ca2+ signals, such as Ca2+ waves and whole-cell Ca2+ transients are often composed of a variable number of such elementary events.

Numerous methods exist for analysing Ca2+ sparks and other types of elementary and global Ca2+ signals in confocal linescan images. These employ various different approaches: noise tresholding \cite{R_os_2001,Picht_2007}, wavelet transform \cite{Szab__2010}, etc.

Recently, a method was developed by Tian et al., \cite{Tian_2012}, where the fluorescence time trace in each pixel is fitted and provides a practically noise free approximation of the original fluorescence data. This pixel-by-pixel method had, however, several limitations which made it impractical to be used for Ca2+ release event detection. 

Here we extend the method by Tian et al., in several ways. The new method allows for  Ca2+ release event classification based on pixel-by-pixel denoising of the original signal. 