### Clustering

Having determined the events in each pixel it is possible to reconstruct the image with reduced noise levels using the matrix \(E\). However, this will not tell us anything about the properties of actual release events (e.g., spark/wave numbers or properties) as these macroscopic events are made up of several events from different pixels. It is therefore necessary to combine elementary events from various pixels into macroscopic release events.

This is achieved using the clustering method DBSCAN \cite{Sander_1998}. The algorithm? works in the parameter space and finds clusters of arbitrary shape based on the density of events. In contrast to many other clustering methods (e.g., k-nearest neighbours, spectral clustering) the number of clusters found is not determined in advance. The number of clusters found depends on the data and two parameters: minimum number of events in a cluster and the maximum distance from a cluster to be included in it).

Clustering is performed in two steps. First, pixel events are distributed into groups according to their shape i.e., clustering is done on the matrix \(E^s\). This is possible because, although the function used for fitting various release events (e.g., sparks or waves) is the same, the shape parameters of a event approximating a spark are likely to be more similar to other spark events rather than wave events. This is clearly visible on Figure \ref{fig:linescan}A where ...

In the second clustering step, the \(E^p\) matrix is processed for each shape group and clusters of spatiotemporally close events are obtained. An example of results of this positional clustering is shown on Figure \ref{fig:linescan}B where events making up single sparks are depicted in various shades of orange. A single wave is shown in blue. Events that failed to be classified are black. Events that fail to be classified in either the shape or positional clustering steps are essentially filtered out as invalid events. 
With this two-step approach, release events of various types consisting of elementary events from multiple pixels are obtained. 