####Shape and location parameters

Each pixel event is characterized by the parameters \(\mathbf{r}\). Four of these (\(A,d,\tau_{d},\tau_{r})\) determine the shape of the event and \(\mu\) the location in time. In order to completely charactarize a pixel event it is also necessary to know the pixel's spatial location. This would require one or two spatial coordinates, respectively for line- or framescans. Hence, a pixel event is wholly defined by two vectors: the shape parameter vector \(\mathbf{p}^s=\left[A,d,\tau_{d},\tau_{r}\right]\) and the position parameter vector \(\mathbf{p}^p=\left[\mu,x,y\right]\).

The *k*-th event detected in pixel *i* is represented by vectors 
\(\mathbf{p}^s_{i,k}\) and \(\mathbf{p}^p_{i,k}\). An event matrix for the *i*-th pixel \(E_i\) contains the parameter vectors for all the events in the pixel:
\[
 E_i = 
 \left(
 \begin{array}{l l}
 \mathbf{p}^s_{i,0}&\mathbf{p}^p_{i,0}\\\\
 \mathbf{p}^s_{i,1}&\mathbf{p}^p_{i,1}\\\\
 \ldots\\\\
 \mathbf{p}^s_{i,k}&\mathbf{p}^p_{i,k}
  \end{array}
  \right)
  =
  \left(
\begin{array}{l l}
E_i^s & E_i^p
\end{array}
\right)
\]
The event matrix for the entire image is obtained by stacking all pixel event matrices:
\[
E=\left(
\begin{array}{l}
E_0\\\\
E_1\\\\
\vdots\\\\
E_i
\end{array}
\right)
=\left(
\begin{array}{l l}
E_0^s& E_0^p\\\\
E_1^s& E_1^p\\\\
\vdots&\vdots\\\\
E_i^s& E_i^p
\end{array}
\right)
=\left(
\begin{array}{l l}
E^s & E^p
\end{array}
\right)
\]
, where \(E^s\) and \(E^p\) are shape and position submatrices, respectively, containing event shape and position parameters for all events from all pixels and making up the entire image event matrix \(E\). The separation of shape and position parameters for events is necessary in the next clustering step.