### Region detection
Before it is possible to fit the fluorescence signal in each pixel with a transient function, candidate regions containing possible events must be detected. For this we have modified a continous wavelet transform based peak detection algorithm by Du et al.\cite{Du_2006}. Whereas the the original algorithm of Du et al. provides the location of the peak, we have extended it to also yield the the width of the peak.

The original algorithm works by calculating a wavelet transform of the signal for increasing window lengths (Figure \ref{fig:regs} B). Ridge lines along local maxima on the surface correspond to peaks if they satisfy certain criteria (length of the ridge, SNR, etc., see Du et al.\cite{Du_2006} for details) In our extension, the width of the peak is obtained from finding the first maximum of the wavelet transform values along the ridge line (Figure \ref{fig:regs}C). The left and right edges of the region are taken as \([peak_{center} - 1.5\times width, peak_{center}+2\times width]\) 

Region estimation provides a ranked list of potential event regions. The rank of a region indicates how many regions having a lower peak SNR overlap with it. For example, region 1 and 3 on Figure \ref{fig:regs}D have rank 3, because  neither overlap with a region having a lower peak SNR. Region 2 has a rank of 2 as it overlaps with region 3 which has a lower peak SNR. Ranking is necessary to ensure overlapping signals are correctly fitted in the fitting stage. 


