## Biological results

### Spark location and parameters

Locations of individual sparks can be estimated once the clustering steps are done. The fluorescence image for each spark is reconstructed from all its pixel events. A gaussian is fitted to the spatial profile of the spark at the time of maximum fluorescence. The spatial location and FWHM are obtained from the fit parameters.

### Waves in the cytosol and SR

When analyzing Ca2+ waves in cardiomyocytes it is customary to deskew them (REF) before averaging the signal in the spatial dimension. This relies on detecting the half maximal fluoresence along each pixel and then straigthening the linescan. This approach can be problematic in case of noisy images or when dealing with several waves in one image. 
With our method deskewing the linescan is not necessary. The peak time for each pixelevent composing the wave will be known from fitting and can be used to calculate the average wave profile and wave speed. 
It is also possible to use detected cytosolic wave events to analyze Ca2+ waves in the sarcoplasmic reticulum (SR). The SR signal is more noisy than the cytosolic which makes it difficult to apply the fitting algorithm directly. Assuming that a decrease in the SR signal is accompanied by increased flourescence in the cytosol, the first step of the algorithm - region detection - can be skipped and the regions detected in the cytosol reused for analysis in the SR. 


Homogeneinity of release (REF to nina)