## Sensitivity analysis
### Pixel trace
As the amount of noise in the signal increases the performance of the event detection algorithm should decrease (Fig X A). The sensitivity of the method to noise was explored by estimating both the probability of detecting an event in a noisy signal and the accuracy of the fit.  The original signal to be fitted was generated from the fitting function for five different amplitudes. To this signal different levels of normally distributed noise was added (noise level is the standard deviation of the noise distribution). 
Figure x B shows the probability of detecting the event in the signal as a function of noise level. Increasing the event amplitude shifts the event detection probability curve towards higher noise levels and vice-versa. It is more informative to look at the relationship between detection probability and the signal to noise ratio of the event. This is calculated as:
\[
SNR = \frac{{\int_a^b f(t)^2\,dt}}{(b-a)\,\sigma_n^2}
\]
where *a* and *b* are times, before and after the peak respectively, when the fluorescence is at half of its peak value (i.e., *b-a* is FDHM), *f(t)* is the event signal and \(\sigma_n\) the standard deviation of the noise (i.e., noise level).
The resulting plot is depicted on figure x C, and it can be seen that detection probability is only dependent on the *SNR*. For visual comparison, the appearance of 4 events with different *SNR* and detection probabilities are shown on Figure x.

On Figure X D the accuracy of the fit compared to the original event is estimated for various amplitudes and noise levels as the \(R^2\) value. Predicatably the \(R^2\) value decreases as the amount of noise increases. Again, the \(R^2\) curves calculated for different amplitudes overlap when plotted as a function of *SNR*. Combining plots XC and XE the relationship between the probability of finding an event and the accuracy of the fit can be obtained. 

###Release event detection